edu.cmu.pslc.logging.element

## Class EventDescriptorElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.EventDescriptorElement

-     public class EventDescriptorElement
      extends java.lang.Object

  EventDescriptorElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDescriptorElement()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAction(ActionElement actionElement)` Add action.
    `void` | `addAction(java.lang.String action)` Add action.
    `void` | `addAction(java.lang.String action, java.lang.String type, java.lang.String id)` Add action.
    `void` | `addInput(InputElement inputElement)` Add input.
    `void` | `addInput(java.lang.String input)` Add input.
    `void` | `addInput(java.lang.String input, java.lang.String type, java.lang.String id)` Add input.
    `void` | `addSelection(SelectionElement selectionElement)` Add selection.
    `void` | `addSelection(java.lang.String selection)` Add selection.
    `void` | `addSelection(java.lang.String selection, java.lang.String type)` Add selection.
    `void` | `addSelection(java.lang.String selection, java.lang.String type, java.lang.String id)` Add selection.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDescriptorElement

          public EventDescriptorElement()

      Constructor.

  - ### Method Detail

    - #### addSelection

          public void addSelection(java.lang.String selection)

      Add selection.
      Parameters:
        `selection` - selection

    - #### addSelection

          public void addSelection(java.lang.String selection,
                          java.lang.String type)

      Add selection.
      Parameters:
        `selection` - selection
        `type` - type

    - #### addSelection

          public void addSelection(java.lang.String selection,
                          java.lang.String type,
                          java.lang.String id)

      Add selection.
      Parameters:
        `selection` - selection
        `type` - type
        `id` - id

    - #### addSelection

          public void addSelection(SelectionElement selectionElement)

      Add selection.
      Parameters:
        `selectionElement` - selectionElement

    - #### addAction

          public void addAction(java.lang.String action)

      Add action.
      Parameters:
        `action` - action

    - #### addAction

          public void addAction(java.lang.String action,
                       java.lang.String type,
                       java.lang.String id)

      Add action.
      Parameters:
        `action` - action
        `type` - type
        `id` - id

    - #### addAction

          public void addAction(ActionElement actionElement)

      Add action.
      Parameters:
        `actionElement` - actionElement

    - #### addInput

          public void addInput(java.lang.String input)

      Add input.
      Parameters:
        `input` - input

    - #### addInput

          public void addInput(java.lang.String input,
                      java.lang.String type,
                      java.lang.String id)

      Add input.
      Parameters:
        `input` - input
        `type` - type
        `id` - id

    - #### addInput

          public void addInput(InputElement inputElement)

      Add input.
      Parameters:
        `inputElement` - inputElement

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center